Subject: [alpine-devel] unstable/luasocket: New aport

From: "Mika Havela" <[email-masked]>
Date: Thu, 04 Jun 2009 08:57:45 +0000

Please review.
<<mhavela>>

From 2fc76a51b038f2e6e87919f8971c61b777c520f1 Mon Sep 17 00:00:00 2001
From: Linux User <mhavela@vmubuntu.(none)>
Date: Thu, 4 Jun 2009 08:37:12 +0000
Subject: [PATCH 4/5] unstable/luasocket: New aports
 Luasocket is the most comprehensive networking support library for the Lua language.
 http://luaforge.net/projects/luasocket/

---
 unstable/luasocket/APKBUILD |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)
 create mode 100644 unstable/luasocket/APKBUILD

diff --git a/unstable/luasocket/APKBUILD b/unstable/luasocket/APKBUILD
new file mode 100644
index 0000000..fdc4a06
--- /dev/null
+++ b/unstable/luasocket/APKBUILD
@@ -0,0 +1,25 @@
+# Contributor: Mika Havela <[email-masked]>
+# Maintainer: Mika Havela <[email-masked]>
+pkgname=luasocket
+pkgver=2.0.2
+pkgrel=0
+pkgdesc="Luasocket is the most comprehensive networking support library for the Lua language."
+url="http://luaforge.net/projects/luasocket/"
+license="MIT"
+depends="lua"
+makedepends="lua-dev"
+install=
+#subpackages="$pkgname-doc $pkgname-dev"
+source="http://luaforge.net/frs/download.php/2664/$pkgname-$pkgver.tar.gz"
+
+build() {
+	cd "$srcdir/$pkgname-$pkgver"
+
+	make || return 1
+	make INSTALL_TOP_SHARE="$pkgdir/usr/share/lua/5.1" INSTALL_TOP_LIB="$pkgdir/usr/lib/lua/5.1" install
+
+	# install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+	# install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="41445b138deb7bcfe97bff957503da8e  luasocket-2.0.2.tar.gz"
-- 
1.6.2.5